
drop table CHANNELS purge;

drop table COUNTRIES purge;

drop table CUSTOMERS purge;

drop table PROMOTIONS purge;

drop table PRODUCTS purge;

drop table SUPPLEMENTARY_DEMOGRAPHICS purge;

drop table SALES purge;

  CREATE TABLE SALES 
   (PROD_ID NUMBER NOT NULL ENABLE, 
	CUST_ID NUMBER NOT NULL ENABLE, 
	TIME_ID DATE NOT NULL ENABLE, 
	CHANNEL_ID NUMBER NOT NULL ENABLE, 
	PROMO_ID NUMBER NOT NULL ENABLE, 
	QUANTITY_SOLD NUMBER(10,2) NOT NULL ENABLE, 
	AMOUNT_SOLD NUMBER(10,2) NOT NULL ENABLE
   )
   PARTITION BY RANGE (TIME_ID) 
  (PARTITION SALES_1995  VALUES LESS THAN (TO_DATE(' 1996-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_1996  VALUES LESS THAN (TO_DATE(' 1997-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_H1_1997  VALUES LESS THAN (TO_DATE(' 1997-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_H2_1997  VALUES LESS THAN (TO_DATE(' 1998-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q1_1998  VALUES LESS THAN (TO_DATE(' 1998-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q2_1998  VALUES LESS THAN (TO_DATE(' 1998-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q3_1998  VALUES LESS THAN (TO_DATE(' 1998-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q4_1998  VALUES LESS THAN (TO_DATE(' 1999-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q1_1999  VALUES LESS THAN (TO_DATE(' 1999-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q2_1999  VALUES LESS THAN (TO_DATE(' 1999-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q3_1999  VALUES LESS THAN (TO_DATE(' 1999-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q4_1999  VALUES LESS THAN (TO_DATE(' 2000-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q1_2000  VALUES LESS THAN (TO_DATE(' 2000-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q2_2000  VALUES LESS THAN (TO_DATE(' 2000-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q3_2000  VALUES LESS THAN (TO_DATE(' 2000-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q4_2000  VALUES LESS THAN (TO_DATE(' 2001-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q1_2001  VALUES LESS THAN (TO_DATE(' 2001-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q2_2001  VALUES LESS THAN (TO_DATE(' 2001-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q3_2001  VALUES LESS THAN (TO_DATE(' 2001-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q4_2001  VALUES LESS THAN (TO_DATE(' 2002-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q1_2002  VALUES LESS THAN (TO_DATE(' 2002-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q2_2002  VALUES LESS THAN (TO_DATE(' 2002-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q3_2002  VALUES LESS THAN (TO_DATE(' 2002-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q4_2002  VALUES LESS THAN (TO_DATE(' 2003-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q1_2003  VALUES LESS THAN (TO_DATE(' 2003-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q2_2003  VALUES LESS THAN (TO_DATE(' 2003-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q3_2003  VALUES LESS THAN (TO_DATE(' 2003-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression , 
  PARTITION SALES_Q4_2003  VALUES LESS THAN (TO_DATE(' 2004-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q1_2004  VALUES LESS THAN (TO_DATE(' 2004-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q2_2004  VALUES LESS THAN (TO_DATE(' 2004-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q3_2004  VALUES LESS THAN (TO_DATE(' 2004-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q4_2004  VALUES LESS THAN (TO_DATE(' 2005-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q1_2005  VALUES LESS THAN (TO_DATE(' 2005-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q2_2005  VALUES LESS THAN (TO_DATE(' 2005-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q3_2005  VALUES LESS THAN (TO_DATE(' 2005-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q4_2005  VALUES LESS THAN (TO_DATE(' 2006-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q1_2006  VALUES LESS THAN (TO_DATE(' 2006-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q2_2006  VALUES LESS THAN (TO_DATE(' 2006-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q3_2006  VALUES LESS THAN (TO_DATE(' 2006-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q4_2006  VALUES LESS THAN (TO_DATE(' 2007-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q1_2007  VALUES LESS THAN (TO_DATE(' 2007-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q2_2007  VALUES LESS THAN (TO_DATE(' 2007-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q3_2007  VALUES LESS THAN (TO_DATE(' 2007-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q4_2007  VALUES LESS THAN (TO_DATE(' 2008-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q1_2008  VALUES LESS THAN (TO_DATE(' 2008-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q2_2008  VALUES LESS THAN (TO_DATE(' 2008-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q3_2008  VALUES LESS THAN (TO_DATE(' 2008-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q4_2008  VALUES LESS THAN (TO_DATE(' 2009-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q1_2009  VALUES LESS THAN (TO_DATE(' 2009-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q2_2009  VALUES LESS THAN (TO_DATE(' 2009-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q3_2009  VALUES LESS THAN (TO_DATE(' 2009-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression ,
  PARTITION SALES_Q4_2009  VALUES LESS THAN (TO_DATE(' 2010-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) &usecompression );
 
 

  CREATE TABLE CHANNELS 
   (	CHANNEL_ID NUMBER NOT NULL ENABLE, 
	CHANNEL_DESC VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	CHANNEL_CLASS VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	CHANNEL_CLASS_ID NUMBER NOT NULL ENABLE, 
	CHANNEL_TOTAL VARCHAR2(13 BYTE) NOT NULL ENABLE, 
	CHANNEL_TOTAL_ID NUMBER NOT NULL ENABLE
   ) ;


  CREATE TABLE COUNTRIES 
   (	COUNTRY_ID NUMBER NOT NULL ENABLE, 
	COUNTRY_ISO_CODE CHAR(2 BYTE) NOT NULL ENABLE, 
	COUNTRY_NAME VARCHAR2(40 BYTE) NOT NULL ENABLE, 
	COUNTRY_SUBREGION VARCHAR2(30 BYTE) NOT NULL ENABLE, 
	COUNTRY_SUBREGION_ID NUMBER NOT NULL ENABLE, 
	COUNTRY_REGION VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	COUNTRY_REGION_ID NUMBER NOT NULL ENABLE, 
	COUNTRY_TOTAL VARCHAR2(11 BYTE) NOT NULL ENABLE, 
	COUNTRY_TOTAL_ID NUMBER NOT NULL ENABLE, 
	COUNTRY_NAME_HIST VARCHAR2(40 BYTE)
   ) ;
 

  CREATE TABLE CUSTOMERS 
   (	CUST_ID NUMBER NOT NULL ENABLE, 
	CUST_FIRST_NAME VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	CUST_LAST_NAME VARCHAR2(40 BYTE) NOT NULL ENABLE, 
	CUST_GENDER CHAR(1 BYTE) NOT NULL ENABLE, 
	CUST_YEAR_OF_BIRTH NUMBER(4,0) NOT NULL ENABLE, 
	CUST_MARITAL_STATUS VARCHAR2(20 BYTE), 
	CUST_STREET_ADDRESS VARCHAR2(40 BYTE) NOT NULL ENABLE, 
	CUST_POSTAL_CODE VARCHAR2(10 BYTE) NOT NULL ENABLE, 
	CUST_CITY VARCHAR2(30 BYTE) NOT NULL ENABLE, 
	CUST_CITY_ID NUMBER NOT NULL ENABLE, 
	CUST_STATE_PROVINCE VARCHAR2(40 BYTE) NOT NULL ENABLE, 
	CUST_STATE_PROVINCE_ID NUMBER NOT NULL ENABLE, 
	COUNTRY_ID NUMBER NOT NULL ENABLE, 
	CUST_MAIN_PHONE_NUMBER VARCHAR2(25 BYTE) NOT NULL ENABLE, 
	CUST_INCOME_LEVEL VARCHAR2(30 BYTE), 
	CUST_CREDIT_LIMIT NUMBER, 
	CUST_EMAIL VARCHAR2(30 BYTE), 
	CUST_TOTAL VARCHAR2(14 BYTE) NOT NULL ENABLE, 
	CUST_TOTAL_ID NUMBER NOT NULL ENABLE, 
	CUST_SRC_ID NUMBER, 
	CUST_EFF_FROM DATE, 
	CUST_EFF_TO DATE, 
	CUST_VALID VARCHAR2(1 BYTE)	 
   ) &usecompression;
 

  CREATE TABLE PROMOTIONS 
   (	PROMO_ID NUMBER(6,0) NOT NULL ENABLE, 
	PROMO_NAME VARCHAR2(30 BYTE) NOT NULL ENABLE, 
	PROMO_SUBCATEGORY VARCHAR2(30 BYTE) NOT NULL ENABLE, 
	PROMO_SUBCATEGORY_ID NUMBER NOT NULL ENABLE, 
	PROMO_CATEGORY VARCHAR2(30 BYTE) NOT NULL ENABLE, 
	PROMO_CATEGORY_ID NUMBER NOT NULL ENABLE, 
	PROMO_COST NUMBER(10,2) NOT NULL ENABLE, 
	PROMO_BEGIN_DATE DATE NOT NULL ENABLE, 
	PROMO_END_DATE DATE NOT NULL ENABLE, 
	PROMO_TOTAL VARCHAR2(15 BYTE) NOT NULL ENABLE, 
	PROMO_TOTAL_ID NUMBER NOT NULL ENABLE
   ) ;
 


  CREATE TABLE PRODUCTS 
   (	PROD_ID NUMBER(6,0) NOT NULL ENABLE, 
	PROD_NAME VARCHAR2(50 BYTE) NOT NULL ENABLE, 
	PROD_DESC VARCHAR2(4000 BYTE) NOT NULL ENABLE, 
	PROD_SUBCATEGORY VARCHAR2(50 BYTE) NOT NULL ENABLE, 
	PROD_SUBCATEGORY_ID NUMBER NOT NULL ENABLE, 
	PROD_SUBCATEGORY_DESC VARCHAR2(2000 BYTE) NOT NULL ENABLE, 
	PROD_CATEGORY VARCHAR2(50 BYTE) NOT NULL ENABLE, 
	PROD_CATEGORY_ID NUMBER NOT NULL ENABLE, 
	PROD_CATEGORY_DESC VARCHAR2(2000 BYTE) NOT NULL ENABLE, 
	PROD_WEIGHT_CLASS NUMBER(3,0) NOT NULL ENABLE, 
	PROD_UNIT_OF_MEASURE VARCHAR2(20 BYTE), 
	PROD_PACK_SIZE VARCHAR2(30 BYTE) NOT NULL ENABLE, 
	SUPPLIER_ID NUMBER(6,0) NOT NULL ENABLE, 
	PROD_STATUS VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	PROD_LIST_PRICE NUMBER(8,2) NOT NULL ENABLE, 
	PROD_MIN_PRICE NUMBER(8,2) NOT NULL ENABLE, 
	PROD_TOTAL VARCHAR2(13 BYTE) NOT NULL ENABLE, 
	PROD_TOTAL_ID NUMBER NOT NULL ENABLE, 
	PROD_SRC_ID NUMBER, 
	PROD_EFF_FROM DATE, 
	PROD_EFF_TO DATE, 
	PROD_VALID VARCHAR2(1 BYTE)
   ) ;
 


  CREATE TABLE SUPPLEMENTARY_DEMOGRAPHICS 
   (	CUST_ID NUMBER NOT NULL ENABLE, 
	EDUCATION VARCHAR2(21 BYTE), 
	OCCUPATION VARCHAR2(21 BYTE), 
	HOUSEHOLD_SIZE VARCHAR2(21 BYTE), 
	YRS_RESIDENCE NUMBER, 
	AFFINITY_CARD NUMBER(10,0), 
	BULK_PACK_DISKETTES NUMBER(10,0), 
	FLAT_PANEL_MONITOR NUMBER(10,0), 
	HOME_THEATER_PACKAGE NUMBER(10,0), 
	BOOKKEEPING_APPLICATION NUMBER(10,0), 
	PRINTER_SUPPLIES NUMBER(10,0), 
	Y_BOX_GAMES NUMBER(10,0), 
	OS_DOC_SET_KANJI NUMBER(10,0), 
	COMMENTS VARCHAR2(4000 BYTE)
   ) &usecompression;
 
 

  
 -- End;  
 
